- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# hcloud_server_network – Manage the relationship between Hetzner Cloud Networks and servers

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Create and delete the relationship Hetzner Cloud Networks and servers

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

- hcloud-python >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
alias_ips list |  | Alias IPs the server has.
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
ip string |  | The IP the server should have.
network string / required |  | The name of the Hetzner Cloud Networks.
server string / required |  | The name of the Hetzner Cloud server.
state string | Choices: absent present ← | State of the server_network.

## See Also

See also

Documentation for Hetzner Cloud API

  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Create a basic server network
      hcloud_server_network:
        network: my-network
        server: my-server
        state: present

    - name: Create a server network and specify the ip address
      hcloud_server_network:
        network: my-network
        server: my-server
        ip: 10.0.0.1
        state: present

    - name: Create a server network and add alias ips
      hcloud_server_network:
        network: my-network
        server: my-server
        ip: 10.0.0.1
        alias_ips:
           - 10.1.0.1
           - 10.2.0.1
        state: present

    - name: Ensure the server network is absent (remove if needed)
      hcloud_server_network:
        network: my-network
        server: my-server
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_server_network complex | always | The relationship between a server and a network
| alias_ips string | always | Alias IPs of the server within the Network ip range Sample: ['10.1.0.1', '...']
| ip string | always | IP of the server within the Network ip range Sample: 10.0.0.8
| network string | always | Name of the Network Sample: my-network
| server string | always | Name of the server Sample: my-server

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@lkaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.